# $Revision: 1.68.2.6 $, $Date: 2004/01/17 13:08:28 $
%{?_without_perl:#}%include	/usr/lib/rpm/macros.perl
Summary:	Irssi is a IRC client
Summary(fr):	Irssi est un client IRC
Summary(pl):	Irssi - wygodny w uyciu klient IRC
Name:		irssi
Version:	0.8.9
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://real.irssi.org/files/%{name}-%{version}.tar.bz2
# Source0-md5:	6610ee0e27922f447e40828cf7dee507
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-dcc-send-limit.patch
Patch1:		%{name}-channel_auto_who.patch
Patch2:		%{name}-tinfo.patch
URL:		http://www.irssi.org/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	glib2-devel >= 1:2.0.7
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.6k
%{?!_without_perl:BuildRequires:	perl-devel >= 5.6.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	%{name}-speech
Obsoletes:	%{name}-sql

%description
Irssi is a textUI IRC client with IPv6 support.

%description -l fr
Irssi est client IRC.

%description -l pl
Irssi jest tekstowym klientem IRC ze wsparciem dla IPv6.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure \
	--without-socks \
	--with-bot \
	--with-textui \
	--with-proxy \
	--with-terminfo \
	--with-modules \
	%{?!_without_perl:--enable-perl=shared} \
	%{?_without_perl:--enable-perl=no} \
	--enable-ipv6 \
	--enable-nls

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Network/Communications}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_datadir}/%{name}-%{version}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{?_without_perl:#}(
%{?_without_perl:#}  for name in Irssi Irssi/Irc Irssi/TextUI Irssi/UI; do
%{?_without_perl:#}  cd $RPM_BUILD_ROOT%{perl_archlib}/auto/${name}
%{?_without_perl:#}  sed -e "s#$RPM_BUILD_ROOT##" .packlist >.packlist.new
%{?_without_perl:#}  mv .packlist.new .packlist
%{?_without_perl:#}  done
%{?_without_perl:#})

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO NEWS docs/*.txt
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%attr(755,root,root) %{_libdir}/irssi/modules/*.so*
%{_datadir}/%{name}
%{_applnkdir}/Network/Communications/irssi.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/irssi.conf
%{_mandir}/man1/*

%{?_without_perl:#}%{perl_archlib}/*.pm
%{?_without_perl:#}%dir %{perl_archlib}/Irssi
%{?_without_perl:#}%{perl_archlib}/Irssi/*.pm

%{?_without_perl:#}%dir %{perl_archlib}/auto/Irssi
%{?_without_perl:#}%{perl_archlib}/auto/Irssi/*.bs
%{?_without_perl:#}%attr(755,root,root) %{perl_archlib}/auto/Irssi/*.so

%{?_without_perl:#}%dir %{perl_archlib}/auto/Irssi/Irc
%{?_without_perl:#}%{perl_archlib}/auto/Irssi/Irc/*.bs
%{?_without_perl:#}%attr(755,root,root) %{perl_archlib}/auto/Irssi/Irc/*.so

%{?_without_perl:#}%dir %{perl_archlib}/auto/Irssi/TextUI
%{?_without_perl:#}%{perl_archlib}/auto/Irssi/TextUI/*.bs
%{?_without_perl:#}%attr(755,root,root) %{perl_archlib}/auto/Irssi/TextUI/*.so

%{?_without_perl:#}%dir %{perl_archlib}/auto/Irssi/UI
%{?_without_perl:#}%{perl_archlib}/auto/Irssi/UI/*.bs
%{?_without_perl:#}%attr(755,root,root) %{perl_archlib}/auto/Irssi/UI/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irssi.spec,v $
Revision 1.68.2.6  2004/01/17 13:08:28  undefine
- BR: glib2-devel >= 1:2.0.7

Revision 1.68.2.5  2004/01/13 22:42:17  arekm
- update to 0.8.9; previous versions were vunerable for remote crash on non-x86 archs

Revision 1.68.2.4  2003/09/30 19:49:54  eothane
- openssl 0.9.6k
- release+

Revision 1.68.2.3  2003/07/11 12:01:29  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.68.2.2  2003/04/27 20:34:11  jack
- there is no irc.pld.org.pl:6667

Revision 1.68.2.1  2003/04/26 22:17:19  jack
- updated to 0.8.6 in RA-branch

Revision 1.77  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.76  2002/12/31 11:16:21  gotar
- cut off Vendor, cosmetics

Revision 1.75  2002/12/09 23:10:33  ankry
- adapterized

Revision 1.74  2002/11/28 10:14:33  areq
- fix install

Revision 1.73  2002/11/25 20:03:01  baggins
- added tinfo patch (assure linking with terminfo)

Revision 1.72  2002/11/20 17:23:15  marcus
- fixed BR (glib2 insted glib)

Revision 1.71  2002/11/19 14:21:37  areq
- 0.8.6
- #dcc-send-limit.patch - need update ?
- new %doc

Revision 1.70  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.69  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.68  2002/06/19 19:22:16  areq
- 0.8.5, STBR
- fix bug, posible DoS

Revision 1.67  2002/05/30 20:24:06  jack
- Fixed source (there isn't irssi-0.8.4.tar.bz2 on irssi's homepage!) - previous wasn't backdoored - if you read carefully I should see it - only tar.gz was!)
- Release 4 because I fucked up irssi.conf.patch few revisions ago
- It doesn't core dump when there is no ~/.irssi
- It works with old (tested every revision since 1.62) ~/.irssi
- STBRQ(uickly), please!

Revision 1.66  2002/05/25 15:11:48  djrzulf
- Release 3,
- STBR for STABLE, tarball was BACKDOORED see http://real.irssi.org,

Revision 1.65  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.64  2002/05/19 10:18:08  mmazur
- killed gnome dependencies (the gtk version is obsolete afaik) + fixed
building on nest :)

Revision 1.63  2002/05/13 00:37:35  jack
- added patch makeing new PLDNet entry in config

Revision 1.62  2002/04/25 16:37:42  arturs
fixed a small typo

Revision 1.61  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.60  2002/03/14 00:46:32  baggins
- re-added dcc-send-limit patch
- added channel_auto_who patch

Revision 1.59  2002/03/14 00:19:25  jack

- Removed irssi-dcc-send-limit.patch - "01:16:27 <@cras> jack_: ok, that patch is buggy"
- Release 2, STB please

Revision 1.58  2002/03/13 15:04:14  jack

Release -1 (builds and works OK)

Revision 1.57  2002/03/13 12:06:30  jack

Updated to 0.8.4 (Release 0.1 because it links with perl and I cannot test it on i586 (it immidiatly ends working after loading any perl script - I haven't chrootet builders for i586) - on i686 works fine)

Revision 1.56  2002/03/13 09:16:35  kloczek
- release 1.

Revision 1.55  2002/03/12 20:47:38  zytek
- updated to 0.8.2

Revision 1.54  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/18 14:16:12  misiek
- added missing perl files; release 2

Revision 1.51  2002/02/18 13:18:36  misiek
- updated to 0.8.1

Revision 1.50  2002/02/17 14:28:46  misiek
- updated to 0.8.0

Revision 1.49  2002/01/20 00:42:43  kloczek
- added no_libnsl, am15 and libtool patches so now libnsl isn't in libraries
  list linked with irssi executable,
- regenerate ac/am/lt files.

Revision 1.48  2002/01/19 18:54:59  baggins
- release 3
- added dcc-send-limit patch (impose speed limit on dcc sends, configurable)

Revision 1.47  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/11/30 08:48:26  qboosh
- adapterized, cosmetics

Revision 1.45  2001/09/13 13:21:36  baggins
- workaround for gettext

Revision 1.44  2001/09/13 13:13:33  baggins
- release 2
- use %%configure2_13 macro
- removed ac_am crappy patch
- fixed perl modules file list

Revision 1.43  2001/09/12 20:02:26  misiek
fix/workaround ac problems

Revision 1.42  2001/09/03 15:09:45  kloczek
- remove %%_with_gnome conditionals,
- added desktop and png icon for irssi.

Revision 1.41  2001/09/03 12:14:53  rrw
- upgraded to 0.7.98.4 (critical upgrade! client could be crashed remotely
  before);
- removed old ver/plev macros, it is used throughout the script as one
  string anyway;
- release 1;

Revision 1.40  2001/05/22 09:06:26  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.39  2001/05/07 15:09:45  kloczek
- BuildRequires for perl changed to perl-devel >= 5.6.1.

Revision 1.38  2001/04/27 21:50:22  agaran
updated to 0.7.98.3 (revison set to 1.9) imho no need to keep version
splitted into ver/plev because rest of places seems to be using it as one
string (so it may simplify spec)
builds ok at least on team/newboss

Revision 1.37  2001/03/17 03:39:08  agaran
fixed including of perlmacros, disabled bot (cras said that will be removed)
not ready for to send to builders, (but at least once compiled succesfully,
with perl without gnome , with nonthreading perl, perl in irssi works)

Revision 1.36  2001/02/17 01:32:09  michuz
- release 2
- %%{_applnk}/Network/IRC changed to Communications

Revision 1.35  2000/12/28 15:01:49  baggins
- one fix in GNOME

Revision 1.34  2000/12/28 15:01:27  baggins
- updated to 0.7.97.2
- GNOME hell is back - conditionally (yes I know what I'm doin' ;)

Revision 1.33  2000/11/14 23:17:30  misiek
removed GNOME hell
updated to 0.7.96patchlevel2

Revision 1.32  2000/11/01 08:21:05  kloczek
- release 5: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.31  2000/07/13 23:11:25  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.30  2000/07/13 20:43:11  baggins
- release 3

Revision 1.29  2000/06/26 17:25:07  baggins
- fixid %%%install

Revision 1.28  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.27  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/31 20:43:32  michuz
- release 2
- removed applnk patch
- %%applnkdir changed

Revision 1.25  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.24  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.22  2000/03/11 21:37:10  kloczek
- updated to 0.7.28,
- removed perl patch (integrated in current version) and updated applnk
  patch.

Revision 1.21  2000/03/01 11:12:23  wiget
- make buildable (fix perl related problems)
- split to more subpackage (sql and speech plugin in separate package)

Revision 1.20  2000/02/25 21:03:09  kloczek
- updated to 0.7.27.

Revision 1.19  2000/02/19 17:54:07  kloczek
- updated to 0.7.26.

Revision 1.18  2000/02/19 16:02:25  kloczek
- updated to 0.7.25.

Revision 1.17  2000/02/19 07:23:44  kloczek
- updated to 0.7.24.

Revision 1.16  2000/01/31 18:34:26  kloczek
- move desktop file to Networking/IRC.

Revision 1.15  2000/01/27 18:23:45  wiget
0.7.23

Revision 1.14  2000/01/18 19:12:12  kloczek
- release 2,
- build fron new tar ball.

Revision 1.13  2000/01/17 02:03:02  kloczek
- updated to 0.7.22,
- adapter(ized),
- added applnk patch for install desktop file for irssi in applnk tree.

Revision 1.12  1999/12/22 02:50:39  wiget
0.7.21

Revision 1.11  1999/11/28 19:05:21  wiget
- updated to 0.7.20.1
- disabled sql plugin

Revision 1.10  1999/11/28 12:34:18  kloczek
- typo.

Revision 1.9  1999/11/28 12:24:08  kloczek
- updated to 0.7.20,
- added using %%find_lang macro cause now irssi is fully gettextized.

Revision 1.8  1999/11/22 18:56:58  kloczek
- updated to 0.7.19.

Revision 1.7  1999/11/21 15:06:07  kloczek
- removed irssi-bot from %files.

Revision 1.6  1999/11/21 14:53:54  kloczek
- updated to 0.7.18.1,
- build against ncurses 5.0,
- more pl translations.

Revision 1.5  1999/09/13 19:48:58  wiget
- upgraded to 0.7.16

Revision 1.3  1999/09/13 16:50:25  wiget
- fixed %%configure macro

Revision 1.2  1999/09/04 11:42:33  wiget
- new way to update Version: field in spec
- new target for make 'make rpm'

Revision 1.4  1999/09/03 09:36:24  wiget
- updated to 0.7.16alpha-1

Revision 1.3  1999/09/02 17:27:36  wiget
- added BuildRequires rules

Revision 1.2  1999/09/02 17:22:51  wiget
- rewrite to PLD style coding:
-- correct Group and Group(pl)
-- %%changelog moved to end
-- splited to irssi and irssi-GNOME
-- added patch to allow 'make install DESTDIR=/some/dir'
-- added ./configure parameters
-- striped unneeded symbol from plugins
-- gziped docs
-- corrected %%files section

based at spec from tarball (by JT Traub <jtraub@dragoncat.net>)
